.offerstatus.expired, .offerstatus.upcoming, .offerstatus.active {
    color: #fff;
    background-color: #3d3f42;
    display: inline-block;
    padding: .25em .4em;
    font-size: 75%;
    font-weight: 700;
    text-align: center;
    border-radius: 10rem;
}

.offercode {
    padding: .25em .4em;
    font-size: 80%;
    font-weight: 700;
    text-align: center;
    border-radius: 8px;
}

    .offercode.expired {
        color: #fff;
        background-color: #f58a8a;
        border: 1px dashed #dc4e4e;
    }

    .offercode.upcoming {
        color: #464444;
        background-color: #e1d09c;
        border: 1px dashed #d29a15;
    }

    .offercode.active {
        color: #464444;
        background-color: #a6e695;
        border: 1px dashed #24d01e;
    }

.offer-body {
    padding: 1rem 0px;
}

.text-truncate.text-truncate--2 {
    display: -webkit-box !important;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
    white-space: normal;
    line-height: 20px;
}
